Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class BlockSourceImpl

    java.lang.Object
      net.minecraft.src.BlockSourceImpl

All Implemented Interfaces:
  IBlockSource, ILocatableSource, ILocation, IPosition

    public class BlockSourceImpl

extends Object
implements IBlockSource

Constructor Summary
`BlockSourceImpl(World par1World, int par2, int par3, int par4)`

Method Summary
`double` | `func_82615_a()`
`double` | `func_82616_c()`
`double` | `func_82617_b()`
`World` | `func_82618_k()`
`TileEntity` | `func_82619_j()`
`int` | `func_82620_h()`
`int` | `func_82621_f()`
`int` | `func_82622_e()`
`int` | `func_82623_d()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BlockSourceImpl

    public BlockSourceImpl(World par1World,
                           int par2,
                           int par3,
                           int par4)

Method Detail

### func_82618_k

    public World func_82618_k()

  Specified by:
    `func_82618_k` in interface `ILocation`

### func_82615_a

    public double func_82615_a()

  Specified by:
    `func_82615_a` in interface `IBlockSource`
  Specified by:
    `func_82615_a` in interface `IPosition`

### func_82617_b

    public double func_82617_b()

  Specified by:
    `func_82617_b` in interface `IBlockSource`
  Specified by:
    `func_82617_b` in interface `IPosition`

### func_82616_c

    public double func_82616_c()

  Specified by:
    `func_82616_c` in interface `IBlockSource`
  Specified by:
    `func_82616_c` in interface `IPosition`

### func_82623_d

    public int func_82623_d()

  Specified by:
    `func_82623_d` in interface `IBlockSource`

### func_82622_e

    public int func_82622_e()

  Specified by:
    `func_82622_e` in interface `IBlockSource`

### func_82621_f

    public int func_82621_f()

  Specified by:
    `func_82621_f` in interface `IBlockSource`

### func_82620_h

    public int func_82620_h()

  Specified by:
    `func_82620_h` in interface `IBlockSource`

### func_82619_j

    public TileEntity func_82619_j()

  Specified by:
    `func_82619_j` in interface `IBlockSource`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD